#include <iostream>
#include <bits/stdc++.h>

#define int long long
#define endl '\n'
#define inf 2000000000000000000
#define random (rand()^(rand()<<15))

using namespace std;
constexpr int mod=1000000007;
constexpr int MOD=998244353;

void solve()
{
    string s;
    cin>>s;
    int q;
    cin>>q;
    vector<int>res;
    res.reserve(s.size());
    char a='a';
    for(int i=0;i<s.size();i++)
    {
        if(s[i]<a)
        {
            res.push_back(i);
        }
        a=s[i];
    }
    res.push_back(s.size());
//    for(int i=0;i<res.size();i++)
//    {
//        cout<<res[i]<<" ";
//    }
//    cout<<endl;
    int pre[s.size()+1];
    int j=0,sum=0;
    for(int i=0;i<s.size();i++)
    {
        if(res[j]==i)
        {
            j++;
            sum++;
        }
        pre[i]=sum;
    }
//    for(int i=0;i<s.size();i++)
//    {
//        cout<<pre[i]<<" ";
//    }
//    cout<<endl;
    while(q--)
    {
        int l,r;
        cin>>l>>r;
        l--;r--;
        int ans=pre[r]+1;
        if(l>=0)
        {
            ans-=pre[l];
        }
        cout<<ans<<endl;
    }
}

int32_t main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int t=1;
//    cin>>t;
    for(int _=1;_<=t;_++)
    {
        solve();
    }
}
